(defsystem #:cl-quantum
  :version "0.0.1"
  :description "Quantum computing operations in pure Common Lisp."
  :author "Alexander Rosenberg <zanderpkg@pm.me>"
  :maintainer "Alexander Rosenberg <zanderpkg@pm.me>"
  :homepage "https://git.zander.im/Zander671/cl-quantum"
  :license "GPL3"
  :depends-on ()
  :serial t
  :components
  ((:file "package")
   (:file "math")
   (:file "state")
   (:file "circuit")
   (:file "pprint"))
  :long-description
  #.(uiop:read-file-string
     (uiop:subpathname *load-pathname* "README.md")))

(defsystem #:cl-quantum/parse
  :description "Textual state parsing component for cl-quantum."
  :depends-on (#:cl-quantum #:cl-ppcre)
  :components
  ((:file "parse")))

(defsystem #:cl-quantum/examples
  :description "A collection of examples for ql-quantum."
  :depends-on (#:cl-quantum)
  :serial t
  :components
  ((:file "examples/package")
   (:file "examples/grover")
   (:file "examples/bell")))
